获取项目自定义角色
GET/api/v5/repos/:owner/:repo/customized_roles
Request
Path Parameters
owner stringrequired
仓库所属空间地址(企业、组织或个人的地址path)
repo stringrequired
仓库路径(path)
Query Parameters
access_token stringrequired
用户授权码
Responses
- 200
成功响应
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
role_idstring
access_levelinteger
role_namestring
role_chinese_namestring
role_descriptionstring
role_typestring
member_countinteger
created_atstring
updated_atstring
[
{
"role_id": "string",
"access_level": 0,
"role_name": "string",
"role_chinese_name": "string",
"role_description": "string",
"role_type": "string",
"member_count": 0,
"created_at": "string",
"updated_at": "string"
}
]
{
"role_id": "e6cd76d6c82f46c78c71fd7f67eaf3bf",
"access_level": 15,
"role_name": "测试角色",
"role_chinese_name": "测试角色",
"role_description": "测试角色",
"role_type": "project-customized",
"member_count": 1,
"created_at": "2024-04-17 08:00",
"updated_at": "2024-04-17 08:00"
}